<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="566dp"
    android:background="@color/platform_white"
    android:orientation="vertical">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="68dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_sort_child_education_open"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_17"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:includeFontPadding="false"
                    android:textStyle="bold"
                    android:text="亲子教育"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_child_education_open"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_child_education"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_emotional_stress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="情绪压力"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_emotional_stress"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_emotional_stress"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginEnd="12dp"
                android:layout_marginStart="6dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_love_emotion"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="恋爱情感"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_love_emotion"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_love_emotion"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_married_family"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="婚姻家庭"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_married_family"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_married_family"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_personal_growth"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="个人成长"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_personal_growth"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_personal_growth"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_interpersonal_relationship"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="人际关系"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_interpersonal_relationship"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_interpersonal_relationship"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_career_development"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="职场发展"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_career_development"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_career_development"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

            <LinearLayout
                android:id="@+id/ll_sort_mental_health"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_25"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/platform_dp_16"
                android:paddingEnd="@dimen/platform_dp_16">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:includeFontPadding="false"
                    android:text="心理健康"
                    android:textColor="@color/platform_color_242424"
                    android:textSize="16sp" />

                <ImageView
                    android:id="@+id/iv_sort_mental_health"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/consultant_ic_sort_close"
                    android:visibility="gone" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sort_mental_health"
                android:layout_width="match_parent"
                android:layout_height="138dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="12dp"
                android:nestedScrollingEnabled="false"
                android:overScrollMode="never" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="68dp"
        android:background="@color/white"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingTop="8dp"
        android:paddingEnd="16dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <TextView
            android:id="@+id/btn_reset"
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_weight="1"
            android:background="@drawable/consultant_stroke_ebebeb_r_8"
            android:gravity="center"
            android:text="@string/platform_reset"
            android:textColor="@color/platform_color_242424"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/btnConfirm"
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_marginStart="13dp"
            android:layout_weight="1"
            android:background="@drawable/consultant_solid_main_theme_color_r_8"
            android:gravity="center"
            android:text="@string/platform_confirm"
            android:textColor="@color/white"
            android:textSize="16sp" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
